Subject: Re: bug#57407: closed (Re: bug#57407: [PATCH] Handle error of ’vc-registered’)

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Jun 2024 12:04:23 -0700

reopen 57407
thanks

Simon Tournier <[email-masked]> writes:

>>> That was one year ago.
>>>
>>> Simon, did you have a chance to look into the issues that Dmitry
>>> mentioned below?
>>
>> More information was requested, but none was given within 9 months, so
>> I'm closing this bug.  If this is still an issue, please reply to this
>> email (use "Reply to all" in your email client) and we can reopen the
>> bug report.
>
> The issue is not gone, AFAICT.  The cover letter provides a reproducer;
> see below.

OK, thanks, reopening the bug.

> Well, I am not following very closely the development of Emacs master,
> so I cannot tell with high confidence if a workaround introduced
> elsewhere fixes the issue.  However, from my quick look, the code that
> triggers the spurious messages has not been changed.
>
> Sorry to not have the time to send a v2; I am running out of time.
> However, closing this report:
>
>  1. Do not change that 991e145450ec8b02865597bc80fd797e39e81f07 is
>     clearly incorrect.  It’s a regression
>
>  2. My patch, while imperfect, fixes such regression.

Dmitry, what do you think of installing the proposed patch as is?

Does it introduce any other regressions?